#include "game_state.h"
#include "macros.h"

GameState *GameState::singleton_instance{ nullptr };

void GameState::_bind_methods() {
	BIND_PROPERTY(Variant::STRING, locale_uid);
	BIND_PROPERTY(Variant::STRING, locale_entrance_path);
}

GameState::GameState() {
	self_type::singleton_instance = this;
}

GameState::~GameState() {
	self_type::singleton_instance = nullptr;
}

GameState *GameState::get_singleton() {
	return self_type::singleton_instance;
}

void GameState::set_locale_uid(String const &value) {
	this->locale_uid = value;
}

String GameState::get_locale_uid() const {
	return this->locale_uid;
}

void GameState::set_locale_entrance_path(String const &value) {
	this->locale_uid = value;
}

String GameState::get_locale_entrance_path() const {
	return this->locale_uid;
}
